> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/discounts-and-tips/add-discounts-to-the-store/discount-coupons.md).

# Discount coupons

**Discount coupons** allow you to set up non-automated discounts – they must be manually activated by customers at the checkout. Coupons are useful when you need personalized discounts unavailable to the general store audience.

### Add a new discount coupon to the store

The first step here is to create a discount coupon for your store. However, a discount coupon won't work by itself.

When you have the coupon, you'll need to place its code somewhere on the storefront or reach out to customers in newsletters/emails.

{% hint style="info" %}
If you don't yet have an app for Ecwid API access, start with the following [instructions](https://docs.ecwid.com/discounts-and-tips/add-discounts-to-the-store/spaces/uOzT5egoVTAjMJwRuMQT/pages/IhHAmacGKQdbD0Fe0IUw#step-2.-get-your-first-application).
{% endhint %}

Make sure your app has the `create_discount_coupons` access scope required to create new coupons.

Example request for creating a new discount coupon:

```http
POST /api/v3/STOREID/discount_coupons HTTP/1.1
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "name": "First order 10% OFF",
    "code": "FIRST",
    "status": "ACTIVE",
    "discountType": "PERCENT",
    "discount": 10,
    "usesLimit": "ONCEPERCUSTOMER",
    "applicationLimit": "NEW_CUSTOMER_ONLY"
}
```

Change `STOREID` with your store ID and `secret_token` with the secret access token of your app to add a new active discount coupon to your store.&#x20;

The example request allows new customers to receive a 10% discount on their first order.

### Customize discount coupons

You can limit discount coupons in products/categories they apply to, set up use limits and more:

<table data-view="cards"><thead><tr><th></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Timed discount coupons</strong></td><td><a href="/pages/dtY8lQvTQ0MtlsAGlW10">/pages/dtY8lQvTQ0MtlsAGlW10</a></td></tr><tr><td><strong>Coupons for specific products</strong></td><td><a href="/pages/0mPXndHRL8qaoRFg3xcz">/pages/0mPXndHRL8qaoRFg3xcz</a></td></tr><tr><td><strong>Limited coupon uses</strong></td><td><a href="/pages/o16vzpJ4ct6cDOuvLijX">/pages/o16vzpJ4ct6cDOuvLijX</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/discounts-and-tips/add-discounts-to-the-store/discount-coupons.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
